package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.OtherWarehouseMapper;
import com.steerinfo.dil.service.OtherWarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Service
public class OtherWarehouseServiceImpl implements OtherWarehouseService {

    @Autowired
    OtherWarehouseMapper otherWarehouseMapper;

    /**
     * 推送出厂车辆数据到异地库
     * @param orderId
     * @return
     */
    @Override
    public Map<String, Object> sendMessageToOtherWarehouse(BigDecimal orderId) {
        Map<String,Object> resultMap = otherWarehouseMapper.getMapMessage(orderId);
        List<Map<String,Object>> details = otherWarehouseMapper.getListMessage(orderId);
        resultMap.put("details",details);
        return resultMap;
    }
}
